Bug 477867 - Review Request: perl-Perlilog - Verilog environment and IP core handling in Perl
Review Request: perl-Perlilog - Verilog environment and IP core handling in Perl
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-24 09:59 EST by Chitlesh GOORAH
Modified: 2008-12-30 18:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-30 18:42:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-12-24 09:59:32 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-Perlilog.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/perl-Perlilog-0.3-1.fc10.src.rpm
Perlilog is a command-line tool which generates Verilog
modules from a set of files, which come in several other
formats. It was originally designed to integrate Verilog IP cores.
Comment 1 Parag AN(पराग) 2008-12-24 11:48:20 EST
+ Ok
- Need Work

+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1020601
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4bdf2c5636bdc217428398eea68e44bc  Perlilog-0.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
- duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
ok 1
It looks like everything is working fine!
+ Package perl-Perlilog-0.3-1.fc11 ->
Provides: perl(PL_const) perl(PL_hardroot) perl(PL_settable) perl(Perlilog) = 0.3 perl(Perlilog::PLerror) perl(UNIVERSAL)
Requires: perl >= 0:5.004 perl(Exporter) perl(Perlilog::PLerror) perl(strict)

1) remove following line from %files in spec
This will make sure to avoid duplicate files installation

Comment 2 Chitlesh GOORAH 2008-12-27 21:32:25 EST
New Package CVS Request
Package Name: perl-Perlilog
Short Description: Verilog environment and IP core handling in Perl
Owner: chitlesh
Branches: F-9 F-10 EL-5
Comment 3 Kevin Fenzi 2008-12-28 14:09:24 EST
cvs done.
Comment 4 Fedora Update System 2008-12-30 18:41:59 EST
perl-Hardware-Verilog-Parser-0.13-1.fc10, perl-ModelSim-List-0.06-1.fc10, perl-Perlilog-0.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.